%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define	transpdir	/var/lib/vdr/config/plugins/transponders
%define	pname		channelscan

Name: vdr-%pname
Version: 0.0.2
Release: alt1

Summary: Channel scanner plugin for VDR
Summary(ru_RU.UTF-8): Поиск каналов для VDR
License: GPL
Group: Video
URL: http://www.kikko77.altervista.org/
Source0: %pname-%version.tar.bz2
Patch0: russian-%pname-%version.diff
Patch1: %pname-%version-ui.diff
Patch2: %pname-%version-setupmenufix.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel vdr-devel
Requires: vdr = %vdrbuild

%description
This plugin read same information abaut the satellite transpoder in a .ini file
and then scan this sat for get a channel list.

%description -l ru_RU.UTF-8
Этот модуль сканирует спутники и составляет список каналов, используя информацию
о транспондерах в .ini файлах.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -d %buildroot%transpdir
%__install -m644 PLUGINS/src/%pname/transponders/*.ini %buildroot%transpdir
%__install -d %buildroot%transpdir/CabFiles
%__install -m644 PLUGINS/src/%pname/transponders/CabFiles/*.ini %buildroot%transpdir/CabFiles
%__install -d %buildroot%transpdir/TerFiles
%__install -m644 PLUGINS/src/%pname/transponders/TerFiles/*.ini %buildroot%transpdir/TerFiles

%files
%plugindir/*
%transpdir
%doc PLUGINS/src/%pname/README

%changelog
* Sun Jan 09 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.2-alt1
- ALTLinux build
